# Bank Account Detail

Source: https://docs.gocardless.com/docs/api-reference/bank-account-detail

## Get encrypted bank details

`GET /bank_account_details/{customer_bank_account_id}`

Returns bank account details in the flattened JSON Web Encryption format described in RFC 7516.

You must specify a `Gc-Key-Id` header when using this endpoint. See [Public Key Setup](https://developer.gocardless.com/gc-embed/bank-details-access#public_key_setup) for more details.

### Parameters

| Name | Location | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `customer_bank_account_id` | path | string | Yes | The customer bank account id |

### Responses

| Status | Description |
| --- | --- |
| 200 | Successful response |
| 400 | Bad Request |
| 401 | Unauthorised |
| 404 | Not found |
| 422 | Validation Error |
| 500 | Internal Error |
